/**
 * Unknown.java
 *
 * File generated from the medication::Unknown uml Enumeration
 * Generated by IHE - europe, gazelle team
 */
package net.ihe.gazelle.medication;

import javax.xml.bind.annotation.XmlEnum;
import javax.xml.bind.annotation.XmlEnumValue;
import javax.xml.bind.annotation.XmlRootElement;
import javax.xml.bind.annotation.XmlType;
/**
 * Description of the enumeration Unknown.
 *
 * 
 */

@XmlType(name = "Unknown")
@XmlEnum
@XmlRootElement(name = "Unknown")
public enum Unknown {
	@XmlEnumValue("UNK")
	UNK("UNK"),
	@XmlEnumValue("NASK")
	NASK("NASK"),
	@XmlEnumValue("TRC")
	TRC("TRC"),
	@XmlEnumValue("ASKU")
	ASKU("ASKU"),
	@XmlEnumValue("NAV")
	NAV("NAV");
	
	private final String value;

    Unknown(String v) {
        value = v;
    }
    
     public String value() {
        return value;
    }

    public static Unknown fromValue(String v) {
        for (Unknown c: Unknown.values()) {
            if (c.value.equals(v)) {
                return c;
            }
        }
        throw new IllegalArgumentException(v);
    }
	
}